View Issue Details

IDProjectCategoryView StatusLast Update
0002950Far ManagerPlugins APIpublic2015-02-22 17:06
ReporterJohnDoeAssigned Toshmuel 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002950: InputRecordToName возвращает символ с кодом 1: ☺
DescriptionInputRecordToName в случае ошибки возвращает символ с кодом 1: ☺

Под ошибкой подразумевается невозможность преобразования данных INPUT_RECORD в строку с кодами клавиш во внутреннем представлении Far
Steps To ReproduceДля простоты попробуем пустую запись:

lua:=far.InputRecordToName{}
TagsNo tags attached.
Build4271

Activities

shmuel

2015-02-19 17:39

developer   bugnote:0013512

4271.

JohnDoe

2015-02-21 13:03

updater   bugnote:0013529

Порядок!

JohnDoe

2015-02-21 14:55

updater   bugnote:0013530

Last edited: 2015-02-21 14:56

View 2 revisions

Поторопился, какая-то проблема с CtrlShiftLeft, разбираюсь...

shmuel

2015-02-21 14:59

developer   bugnote:0013531

> Поторопился, какая-то проблема с CtrlShiftLeft

Подробнее, пожалуйста:
1. Что за проблема.
2. Возникла ли эта проблема в результате изменений билда 4271.

JohnDoe

2015-02-21 15:18

updater   bugnote:0013532

Да говорю ж, поторопился нажимать Reopen.
Проблема не воспроизводится, очевидно этот тикет непричём.

shmuel

2015-02-21 15:23

developer   bugnote:0013533

Чтобы было яснее: изменение в 4271 точечное.

В Фаре есть такой псевдоключ KEY_NONE. До 4271 при "детектировании" такого ключа возвращалась строка "☺", а теперь - что преобразование невозможно.

Issue History

Date Modified Username Field Change
2015-02-19 13:34 JohnDoe New Issue
2015-02-19 17:39 shmuel Note Added: 0013512
2015-02-19 17:39 shmuel Assigned To => shmuel
2015-02-19 17:39 shmuel Status new => feedback
2015-02-19 17:41 shmuel Category Keyboard => Plugins API
2015-02-21 13:03 JohnDoe Note Added: 0013529
2015-02-21 13:03 JohnDoe Status feedback => assigned
2015-02-21 14:01 shmuel Build => 4271
2015-02-21 14:01 shmuel Status assigned => closed
2015-02-21 14:01 shmuel Resolution open => fixed
2015-02-21 14:01 shmuel Fixed in Version => 3.0
2015-02-21 14:55 JohnDoe Note Added: 0013530
2015-02-21 14:55 JohnDoe Status closed => feedback
2015-02-21 14:55 JohnDoe Resolution fixed => reopened
2015-02-21 14:56 JohnDoe Note Edited: 0013530 View Revisions
2015-02-21 14:59 shmuel Note Added: 0013531
2015-02-21 15:18 JohnDoe Note Added: 0013532
2015-02-21 15:18 JohnDoe Status feedback => assigned
2015-02-21 15:23 shmuel Note Added: 0013533
2015-02-21 15:23 shmuel Status assigned => feedback
2015-02-22 17:06 shmuel Status feedback => closed
2015-02-22 17:06 shmuel Resolution reopened => fixed